Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Point2i Class Reference

二要素整数位置 More...

`#include <Point2i.h>`

List of all members.

## Public Member Functions
| Point2i ()
| コンストラクタ
| Point2i (int sourceX, int sourceY)
| コンストラクタ
| Point2i (int sourceArray[2])
| コンストラクタ
| Point2i (const Point2f &source)
| コンストラクタ
void | set (int sourceX, int sourceY)
| 値の設定
void | set (int sourceArray[2])
| 値の設定
void | set (const Point2f &source)
| 値の設定
Point2i | operator+ (const Point2i &addPoint) const
| 加算
Point2i | operator- (const Point2i &subPoint) const
| 減算
Point2i | operator * (const Point2i &mulPoint) const
| 乗算
Point2i | operator * (float mulValue) const
| 乗算
Point2i | operator * (int mulValue) const
| 乗算
Point2i | operator+ () const
| +演算子
Point2i | operator- () const
| -演算子
Point2i & | operator+= (const Point2i &addPoint)
| 代入加算
Point2i & | operator-= (const Point2i &subPoint)
| 代入減算
Point2i & | operator *= (const Point2i &mulPoint)
| 代入乗算
Point2i & | operator *= (float mulValue)
| 代入乗算
Point2i & | operator *= (int mulValue)
| 代入乗算
bool | operator== (const Point2i &target) const
| 同じ値かどうか
bool | operator!= (const Point2i &target) const
| 同じ値でないかどうか
String | toString () const
| 文字列化
## Static Public Attributes
const Point2i | zero
| ゼロ位置
const Point2i | unit
| 単位位置
## Friends
Point2i | operator * (float mulValue, const Point2i &mulPoint)
| 乗算
Point2i | operator * (int mulValue, const Point2i &mulPoint)
| 乗算

## Detailed Description

二要素整数位置

このクラスは継承しないで下さい。

Definition at line 38 of file Point2i.h.

## Constructor & Destructor Documentation

Lamp::Point2i::Point2i | ( |  | ) | `[inline]`

| コンストラクタ このコンストラクタは初期値の設定を行わないため値は不定です。 Definition at line 74 of file Point2i.h. Referenced by operator *(), operator+(), and operator-().

Lamp::Point2i::Point2i | ( | int | sourceX,
|  | int | sourceY
| ) | `[inline]`

  | コンストラクタ Parameters:
  sourceX | X値の初期値
  sourceY | Y値の初期値
Definition at line 81 of file Point2i.h. References x, and y.

Lamp::Point2i::Point2i | ( | int | sourceArray[2] | ) | `[inline, explicit]`

  | コンストラクタ Parameters:
  sourceArray | 初期値配列
Definition at line 87 of file Point2i.h. References x, and y.

Lamp::Point2i::Point2i | ( | const Point2f & | source | ) | `[explicit]`

  | コンストラクタ Parameters:
  source | 初期化する位置
Definition at line 42 of file Point2i.cpp.

## Member Function Documentation

Point2i Lamp::Point2i::operator * | ( | int | mulValue | ) | const`[inline]`

  | 乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された位置 Definition at line 179 of file Point2i.h. References Point2i(), x, and y.

Point2i Lamp::Point2i::operator * | ( | float | mulValue | ) | const`[inline]`

  | 乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された位置 Definition at line 159 of file Point2i.h. References Point2i(), x, and y.

Point2i Lamp::Point2i::operator * | ( | const Point2i & | mulPoint | ) | const`[inline]`

  | 乗算 Parameters:
  mulPoint | 乗算する位置
Returns: 乗算された位置 Definition at line 150 of file Point2i.h. References Point2i(), x, and y.

Point2i& Lamp::Point2i::operator *= | ( | int | mulValue | ) | `[inline]`

  | 代入乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された位置 Definition at line 257 of file Point2i.h. References x, and y.

Point2i& Lamp::Point2i::operator *= | ( | float | mulValue | ) | `[inline]`

  | 代入乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された位置 Definition at line 246 of file Point2i.h. References x, and y.

Point2i& Lamp::Point2i::operator *= | ( | const Point2i & | mulPoint | ) | `[inline]`

  | 代入乗算 Parameters:
  mulPoint | 乗算する位置
Returns: 乗算された位置 Definition at line 235 of file Point2i.h. References x, and y.

bool Lamp::Point2i::operator!= | ( | const Point2i & | target | ) | const`[inline]`

  | 同じ値でないかどうか Parameters:
  target | 比較する位置
Returns: 同じ値でなければtrueを返す Definition at line 280 of file Point2i.h. References x, and y.

Point2i Lamp::Point2i::operator+ | ( |  | ) | const`[inline]`

| +演算子 Returns: 位置のコピー Definition at line 197 of file Point2i.h.

Point2i Lamp::Point2i::operator+ | ( | const Point2i & | addPoint | ) | const`[inline]`

  | 加算 Parameters:
  addPoint | 加算する位置
Returns: 加算された位置 Definition at line 132 of file Point2i.h. References Point2i(), x, and y.

Point2i& Lamp::Point2i::operator+= | ( | const Point2i & | addPoint | ) | `[inline]`

  | 代入加算 Parameters:
  addPoint | 加算する位置
Returns: 加算された位置 Definition at line 213 of file Point2i.h. References x, and y.

Point2i Lamp::Point2i::operator- | ( |  | ) | const`[inline]`

| -演算子 Returns: 値の符号が反転した位置 Definition at line 203 of file Point2i.h. References Point2i(), x, and y.

Point2i Lamp::Point2i::operator- | ( | const Point2i & | subPoint | ) | const`[inline]`

  | 減算 Parameters:
  subPoint | 減算する位置
Returns: 減算された位置 Definition at line 141 of file Point2i.h. References Point2i(), x, and y.

Point2i& Lamp::Point2i::operator-= | ( | const Point2i & | subPoint | ) | `[inline]`

  | 代入減算 Parameters:
  subPoint | 減算する位置
Returns: 減算された位置 Definition at line 224 of file Point2i.h. References x, and y.

bool Lamp::Point2i::operator== | ( | const Point2i & | target | ) | const`[inline]`

  | 同じ値かどうか Parameters:
  target | 比較する位置
Returns: 同じ値であればtrueを返す Definition at line 271 of file Point2i.h. References x, and y.

void Lamp::Point2i::set | ( | const Point2f & | source | ) |

  | 値の設定 Parameters:
  source | 設定する位置
Definition at line 46 of file Point2i.cpp. References Lamp::Point2f::x, x, Lamp::Point2f::y, and y.

void Lamp::Point2i::set | ( | int | sourceArray[2] | ) | `[inline]`

  | 値の設定 Parameters:
  sourceArray | 設定値配列
Definition at line 113 of file Point2i.h. References x, and y.

void Lamp::Point2i::set | ( | int | sourceX,
|  | int | sourceY
| ) | `[inline]`

  | 値の設定 Parameters:
  sourceX | X値の設定値
  sourceY | Y値の設定値
Definition at line 104 of file Point2i.h. References x, and y. Referenced by Lamp::Mouse::clickStateClear(), and Lamp::Mouse::setNextState().

String Lamp::Point2i::toString | ( |  | ) | const`[inline]`

| 文字列化 Returns: 位置の文字列表記 Definition at line 291 of file Point2i.h. References Lamp::String::format(), x, and y.

## Friends And Related Function Documentation

Point2i operator * | ( | int | mulValue,
|  | const Point2i & | mulPoint
| ) | `[friend]`

  | 乗算 Parameters:
  mulValue | 乗算する値
  mulPoint | 乗算される位置
Returns: 乗算された位置 Definition at line 189 of file Point2i.h.

Point2i operator * | ( | float | mulValue,
|  | const Point2i & | mulPoint
| ) | `[friend]`

  | 乗算 Parameters:
  mulValue | 乗算する値
  mulPoint | 乗算される位置
Returns: 乗算された位置 Definition at line 169 of file Point2i.h.

The documentation for this class was generated from the following files:

- Point2i.h
- Point2i.cpp